//
//  CAnnotationManage.h
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class CPDFListView;
@class CAnnotStyle;
@class CPDFAnnotation;

@interface CAnnotationManage : NSObject

@property (nonatomic, readonly) CPDFListView *pdfListView;

@property (nonatomic, readonly) CPDFAnnotation *annotation;

@property (nonatomic, strong) CAnnotStyle *annotStyle;

- (instancetype)initWithPDFView:(CPDFListView *)pdfListView annotation:(CPDFAnnotation *)annotation;

- (CAnnotStyle *)getAnnotStyle;

@end

NS_ASSUME_NONNULL_END
