//
//  CAnnotationManage.m
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import "CAnnotationManage.h"
#import "CPDFListView.h"
#import "CAnnotStyle.h"

#import <ComPDFKit/ComPDFKit.h>

@interface CAnnotationManage ()

@property (nonatomic, strong) CPDFListView *pdfListView;

@property (nonatomic, strong) CPDFAnnotation *annotation;

@end

@implementation CAnnotationManage

- (instancetype)initWithPDFView:(CPDFListView *)pdfListView annotation:(CPDFAnnotation *)annotation {
    if (self = [super init]) {
        self.pdfListView = pdfListView;
        self.annotation = annotation;
        self.annotStyle = [[CAnnotStyle alloc] init];
    }
    return self;
}

- (CAnnotStyle *)getAnnotStyle {
    if ([self.annotation isKindOfClass:[CPDFTextAnnotation class]]) {
        self.annotStyle.bounds = [self.pdfListView convertRect:self.annotation.bounds toPage:self.annotation.page];
        self.annotStyle.contents = self.annotation.contents;
        self.annotStyle.color = [UIColor redColor];
    }
    return self.annotStyle;
}

@end
