//
//  CPDFInkViewController.m
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import "CPDFInkViewController.h"
#import "CPDFAnnotationBaseViewController_Header.h"
#import "CPDFThicknessSliderView.h"

@interface CPDFInkViewController () <CPDFThicknessSliderViewDelegate>

@property (nonatomic, strong) CPDFThicknessSliderView *thicknessView;

@end

@implementation CPDFInkViewController

#pragma mark - ViewController Methods

- (void)viewDidLoad {
    [super viewDidLoad];
    
    _thicknessView = [[CPDFThicknessSliderView alloc] init];
    _thicknessView.delegate = self;
    _thicknessView.thicknessSlider.value = 4.0;
    _thicknessView.autoresizingMask = UIViewAutoresizingFlexibleWidth;
    [self.view addSubview:self.thicknessView];
}

- (void)viewWillLayoutSubviews {
    [super viewWillLayoutSubviews];
    self.thicknessView.frame = CGRectMake(10, 370, self.view.frame.size.width - 20, 90);
}

- (void)commomInitTitle {
    self.titleLabel.text = NSLocalizedString(@"Ink", nil);
    self.thicknessView.titleLabel.text = NSLocalizedString(@"Thickness:", nil);
    self.sampleView.selecIndex = CPDFSamplesFreehand;
    self.sampleView.thickness = 4.0;
}

- (void)updatePreferredContentSizeWithTraitCollection:(UITraitCollection *)traitCollection {
    self.preferredContentSize = CGSizeMake(self.view.bounds.size.width, traitCollection.verticalSizeClass == UIUserInterfaceSizeClassCompact ? 270 : 520);
}

#pragma mark - CPDFThicknessSliderViewDelegate

- (void)thicknessSliderView:(CPDFThicknessSliderView *)thicknessSliderView thickness:(CGFloat)thickness {
    self.sampleView.thickness = thickness;
    [self.sampleView setNeedsDisplay];
}

@end
