//
//  CAnnotStyle.h
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <Foundation/Foundation.h>

#import <ComPDFKit/ComPDFKit.h>

NS_ASSUME_NONNULL_BEGIN

@class CPDFPage;
@class CPDFBorder;

@interface CAnnotStyle : NSObject

@property (nonatomic, strong) NSString *type;

@property (nonatomic, assign) CGRect bounds;

@property (nonatomic, strong) NSString *contents;

@property (nonatomic, assign) CGFloat borderWidth;

@property (nonatomic, strong) CPDFPage *page;

@property (nonatomic, strong) CPDFBorder *border;

@property (nonatomic, assign) CGFloat opacity;

@property (nonatomic, strong) CPDFKitPlatformColor *color;

@property (nonatomic, assign) BOOL isNoRotate;

@end

NS_ASSUME_NONNULL_END
