//
//  CPDFAnnotationBar.h
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger, CPDFToolbarSelectedIndex) {
    CPDFToolbarNote = 0,
    CPDFToolbarHighlight,
    CPDFToolbarUnderline,
    CPDFToolbarStrikeout,
    CPDFToolbarSquiggly,
    CPDFToolbarFreehand,
    CPDFToolbarShapeCircle,
    CPDFToolbarShapeRectangle,
    CPDFToolbarShapeArrow,
    CPDFToolbarShapeLine,
    CPDFToolbarFreeText,
    CPDFToolbarSignature,
    CPDFToolbarStamp,
    CPDFToolbarImage,
    CPDFToolbarLink,
    CPDFToolbarLSound,
};

NS_ASSUME_NONNULL_BEGIN

@class CPDFAnnotationBar;
@class CPDFListView;

@protocol CPDFAnnotationBarDelegate <NSObject>

@optional

- (void)clickAnnotationBar:(CPDFAnnotationBar *)annotationBar forIndex:(NSInteger)index forSelected:(BOOL)isSelected forAnnotationBarButton:(UIButton *)buttom;

- (void)pushAnnotView:(id)annViewController;

@end

@interface CPDFAnnotationBar : UIView

@property (nonatomic, assign) NSInteger shapeStyle;

@property (nonatomic, weak) id<CPDFAnnotationBarDelegate> delegate;

@property (nonatomic, strong) UIViewController *parentVC;

@property (nonatomic, readonly) CPDFListView *pdfListView;

- (void)reloadData;

- (instancetype)initPDFView:(CPDFListView *)pdfListView;

@end

NS_ASSUME_NONNULL_END
