//
//  CPDFAnnotationSampleView.h
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger, CPDFSamplesSelectedIndex) {
    CPDFSamplesNote = 0,
    CPDFSamplesHighlight,
    CPDFSamplesUnderline,
    CPDFSamplesStrikeout,
    CPDFSamplesSquiggly,
    CPDFSamplesFreehand,
    CPDFSamplesShapeCircle,
    CPDFSamplesShapeRectangle,
    CPDFSamplesShapeArrow,
    CPDFSamplesShapeLine,
    CPDFSamplesFreeText,
    CPDFSamplesSignature,
    CPDFSamplesStamp,
    CPDFSamplesImage,
    CPDFSamplesLink,
    CPDFSamplesSound,
};

NS_ASSUME_NONNULL_BEGIN

@interface CPDFAnnotationSampleView : UIView

@property (nonatomic, assign) CPDFSamplesSelectedIndex selecIndex;

@property (nonatomic, strong) UIColor *fillColor;

@property (nonatomic, strong) UIColor *fillShapeColor;

@property (nonatomic, assign) CGFloat opcity;

@property (nonatomic, assign) CGFloat thickness;

@property (nonatomic, assign) CGFloat dotted;

@end

NS_ASSUME_NONNULL_END
