//
//  CPDFArrowStyleView.m
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import "CPDFArrowStyleView.h"
#import "CPDFArrowStyleCell.h"
#import "CPDFDrawArrowView.h"

@interface CPDFArrowStyleView () <UICollectionViewDelegate,UICollectionViewDataSource>

@property (nonatomic, strong) NSArray *dataArray;

@end

@implementation CPDFArrowStyleView

#pragma mark - Accessors

//- (NSArray *)dataArray {
//    if (!_dataArray) {
//        NSMutableArray *dataArray = [NSMutableArray array];
//        for (NSInteger i = 0; i < 6; i++) {
//            CPDFDrawArrowView *arrowView = [[CPDFDrawArrowView alloc] initWithSelectIndex:i];
//            arrowView.backgroundColor = [UIColor redColor];
//            [dataArray addObject:arrowView];
//        }
//        self.dataArray = dataArray;
//    }
//    return _dataArray;
//}

#pragma mark - Initializers

- (instancetype)initWirhTitle:(NSString *)title {
    if (self = [super init]) {
        self.backBtn = [[UIButton alloc] init];
        [self.backBtn setImage:[UIImage imageNamed:@"CPDFAnnotationBarImageUndo" inBundle:[NSBundle bundleForClass:self.class] compatibleWithTraitCollection:nil] forState:UIControlStateNormal];
        [self.backBtn addTarget:self action:@selector(buttonItemClicked_back:) forControlEvents:UIControlEventTouchUpInside];
        [self addSubview:self.backBtn];
        
        self.titleLabel = [[UILabel alloc] init];
        self.titleLabel.text = NSLocalizedString(title, nil);
        [self addSubview:self.titleLabel];
        
        UICollectionViewFlowLayout *layout = [[UICollectionViewFlowLayout alloc] init];
        layout.itemSize = CGSizeMake(110, 50);
        layout.sectionInset = UIEdgeInsetsMake(5, 5, 5, 5);
        layout.minimumInteritemSpacing = 5;
        layout.minimumLineSpacing = 5;
        self.collectView = [[UICollectionView alloc] initWithFrame:CGRectMake(0, 50, self.frame.size.width, self.frame.size.height) collectionViewLayout:layout];
        [self.collectView registerClass:[CPDFArrowStyleCell class] forCellWithReuseIdentifier:@"cell"];
        self.collectView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
        self.collectView.delegate = self;
        self.collectView.dataSource = self;
        [self addSubview:self.collectView];
        
        self.backgroundColor = [UIColor whiteColor];
    }
    return self;
}

- (void)layoutSubviews {
    [super layoutSubviews];
    self.backBtn.frame = CGRectMake(15, 5, 60, 50);
    self.titleLabel.frame = CGRectMake((self.frame.size.width - 100)/2, 5, 100, 50);
//    self.collectView.frame = ;
}

#pragma mark - Action

- (void)buttonItemClicked_back:(id)sender {
    
}

#pragma mark - UICollectionViewDataSource

- (NSInteger)collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section {
    return 6;
}

- (__kindof UICollectionViewCell *)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath {
    CPDFArrowStyleCell *cell = [collectionView dequeueReusableCellWithReuseIdentifier:@"cell" forIndexPath:indexPath];
//    cell.contextView = self.dataArray[indexPath.item];
    return cell;
}

@end
