//
//  CPDFOpacitySliderView.m
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import "CPDFOpacitySliderView.h"

@implementation CPDFOpacitySliderView

#pragma mark - Initializers

- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        self.titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(5, 0, 50, 30)];
        self.titleLabel.autoresizingMask = UIViewAutoresizingFlexibleRightMargin;
        self.titleLabel.text = NSLocalizedString(@"Opacity:", nil);
        self.titleLabel.adjustsFontSizeToFitWidth = YES;
        [self addSubview:self.titleLabel];
        
        self.opacitySlider = [[UISlider alloc] initWithFrame:CGRectMake(5, 30, self.frame.size.width - 10, 30)];
        self.opacitySlider.autoresizingMask = UIViewAutoresizingFlexibleWidth;
        self.opacitySlider.value = 1;
        self.opacitySlider.maximumValue = 1;
        self.opacitySlider.minimumValue = 0;
        [self.opacitySlider addTarget:self action:@selector(buttonItemClicked_changes:) forControlEvents:UIControlEventValueChanged];
        [self addSubview:self.opacitySlider];
        
        self.startLabel = [[UILabel alloc] initWithFrame:CGRectMake(5, 60, 30, 20)];
        self.startLabel.text = NSLocalizedString(@"0", nil);
        self.startLabel.autoresizingMask = UIViewAutoresizingFlexibleRightMargin;
        [self addSubview:self.startLabel];
        
        self.endLabel = [[UILabel alloc] initWithFrame:CGRectMake(self.bounds.size.width - 35, 60, 30, 20)];
        self.endLabel.text = NSLocalizedString(@"1", nil);
        self.endLabel.autoresizingMask = UIViewAutoresizingFlexibleLeftMargin;
        [self addSubview:self.endLabel];
    }
    return self;
}

#pragma mark - Action

- (void)buttonItemClicked_changes:(UISlider *)sender {
    if (self.delegate && [self.delegate respondsToSelector:@selector(opacitySliderView:opacity:)]) {
        [self.delegate opacitySliderView:self opacity:sender.value];
    }
}

@end
