//
//  CPDFThicknessSliderView.m
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import "CPDFThicknessSliderView.h"

@implementation CPDFThicknessSliderView

#pragma mark - Initializers

- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        self.titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(5, 0, 50, 30)];
        self.titleLabel.text = NSLocalizedString(@"Dotted:", nil);
        self.titleLabel.autoresizingMask = UIViewAutoresizingFlexibleRightMargin;
        self.titleLabel.adjustsFontSizeToFitWidth = YES;
        [self addSubview:self.titleLabel];
        
        self.thicknessSlider = [[UISlider alloc] initWithFrame:CGRectMake(5, 30, self.frame.size.width - 10, 30)];
        self.thicknessSlider.autoresizingMask = UIViewAutoresizingFlexibleWidth;
        self.thicknessSlider.maximumValue = 10.0;
        self.thicknessSlider.minimumValue = 1.0;
        [self.thicknessSlider addTarget:self action:@selector(buttonItemClicked_changes:) forControlEvents:UIControlEventValueChanged];
        [self addSubview:self.thicknessSlider];
        
        self.startLabel = [[UILabel alloc] initWithFrame:CGRectMake(5, 60, 30, 20)];
        self.startLabel.text = NSLocalizedString(@"1", nil);
        self.startLabel.autoresizingMask = UIViewAutoresizingFlexibleRightMargin;
        [self addSubview:self.startLabel];
        
        self.endLabel = [[UILabel alloc] initWithFrame:CGRectMake(self.bounds.size.width - 35, 60, 30, 20)];
        self.endLabel.text = NSLocalizedString(@"10", nil);
        self.endLabel.autoresizingMask = UIViewAutoresizingFlexibleLeftMargin;
        [self addSubview:self.endLabel];
    }
    return self;
}

#pragma mark - Action

- (void)buttonItemClicked_changes:(UISlider *)sender {
    if (self.delegate && [self.delegate respondsToSelector:@selector(thicknessSliderView:thickness:)]) {
        [self.delegate thicknessSliderView:self thickness:sender.value];
    }
}


@end
